Page MenuHomePhabricator

OOUI has no way to produce a window-like frame around something other than a window
Closed, ResolvedPublic

Description

OOUI has no way to produce a window-like frame around something other than a window. This would be useful for non-modal forms displayed on a page, for example, and surely in plenty of other cases (even our demo could use it).

I vaguely recall Brad or Andrew (or possibly someone else) griping about this, so I'm copying you guys on this.

Event Timeline

matmarex created this task.Feb 28 2015, 3:20 AM
matmarex claimed this task.
matmarex raised the priority of this task from to High.
matmarex updated the task description. (Show Details)
matmarex added a project: OOUI.
matmarex added subscribers: Anomie, werdna.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 28 2015, 3:20 AM

It was probably me. I wound up putting the BookletLayout in a div with position:relative, then using .height() on the div after calculating what would fit the viewport.

matmarex lowered the priority of this task from High to Normal.Mar 5 2015, 11:54 PM

Change 194976 had a related patch set uploaded (by Bartosz Dziewoński):
PanelLayout: Add 'framed' config option

https://gerrit.wikimedia.org/r/194976

Change 194976 merged by jenkins-bot:
PanelLayout: Add 'framed' config option

https://gerrit.wikimedia.org/r/194976

Jdforrester-WMF closed this task as Resolved.Mar 10 2015, 10:06 PM
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.
Jdforrester-WMF set Security to None.
Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Mar 26 2015, 9:00 PM